Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -L 'https://api.box.com/2.0/docgen_template_jobs/12345678' \
-H 'box-version: 2025.0' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'{
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
"prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
"entries": [
{
"id": "12345",
"type": "docgen_job",
"batch": {
"id": "12345",
"type": "docgen_batch"
},
"template_file": {
"type": "file",
"id": "42037322"
},
"template_file_version": {
"id": "12345",
"type": "file_version"
},
"status": "completed",
"output_type": "docx",
"output_file": {
"type": "file",
"id": "42037322"
},
"output_file_version": {
"id": "12345",
"type": "file_version"
},
"failures": {
"errors": [
"The tag 'customer_name' was not provided in the input data."
],
"warnings": [
"The tag 'optional_field' was provided but not used in the template."
]
}
}
]
}Lists the users jobs which use this template.
curl -L 'https://api.box.com/2.0/docgen_template_jobs/12345678' \
-H 'box-version: 2025.0' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'{
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
"prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
"entries": [
{
"id": "12345",
"type": "docgen_job",
"batch": {
"id": "12345",
"type": "docgen_batch"
},
"template_file": {
"type": "file",
"id": "42037322"
},
"template_file_version": {
"id": "12345",
"type": "file_version"
},
"status": "completed",
"output_type": "docx",
"output_file": {
"type": "file",
"id": "42037322"
},
"output_file_version": {
"id": "12345",
"type": "file_version"
},
"failures": {
"errors": [
"The tag 'customer_name' was not provided in the input data."
],
"warnings": [
"The tag 'optional_field' was provided but not used in the template."
]
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 Id of template to fetch jobs for.
Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.
This requires usemarker to be set to true.
The maximum number of items to return per page.
x <= 1000A single Box Doc Gen template.
A list of Box Doc Gen jobs with a standard set of parameters.
The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
1000
The marker for the start of the next page of results.
"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
The marker for the start of the previous page of results.
"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"
List of jobs.
Show child attributes
Was this page helpful?